[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TBitmap.GetResourceType

Gets the resource type identifier for the image format.

## Declaration

Source position: graphics.pp line 1476

`public function TBitmap.GetResourceType: TResourceType; override;`

## Function result

Returns the RT_BITMAP constant.

## Description

GetResourceType is an overridden method used to get the resource type identifier for the image format. GetResourceType returns the value in the RT_BITMAP constant for the Windows Bitmap image format.